# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Namespace CKEDITOR.dom

DOM manipulation objects and function.
Defined in: core/dom.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.dom DOM manipulation objects and function.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CKEDITOR.dom.documentFragment(ownerDocument) DocumentFragment is a "lightweight" or "minimal" Document object.
<static> | CKEDITOR.dom.domWalker(node)
<static> | CKEDITOR.dom.elementPath(lastNode)
<static> | CKEDITOR.dom.nodeList(nativeList)
<static> | CKEDITOR.dom.range(document)

Namespace Detail
CKEDITOR.dom
Since: 3.0
DOM manipulation objects and function.

See:
  CKEDITOR.dom.element
  CKEDITOR.dom.node

Method Detail
<static> {Undefined} CKEDITOR.dom.documentFragment(ownerDocument)
Since: 3.0
DocumentFragment is a "lightweight" or "minimal" Document object. It is commonly used to extract a portion of a document's tree or to create a new fragment of a document. Various operations may take DocumentFragment objects as arguments and results in all the child nodes of the DocumentFragment being moved to the child list of this node.
Defined in: core/dom/documentfragment.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Object} ownerDocument

<static> {Undefined} CKEDITOR.dom.domWalker(node)
Since: 3.0
Defined in: core/dom/domwalker.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} node

<static> {Undefined} CKEDITOR.dom.elementPath(lastNode)
Since: 3.0
Defined in: core/dom/elementpath.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} lastNode

<static> {Undefined} CKEDITOR.dom.nodeList(nativeList)
Since: 3.0
Defined in: core/dom/nodelist.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} nativeList

<static> {Undefined} CKEDITOR.dom.range(document)
Since: 3.0
Defined in: core/dom/range.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} document

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.